# $Id$
# Authority: shuff
# Upstream: Steve Huff <shuff$vecna,org>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name WebService-Pushover

%define perl_prefix %{buildroot}%{_prefix}

Summary: Perl interface to Pushover API
Name: perl-WebService-Pushover
Version: 0.0.5
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WebService-Pushover/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/SH/SHUFF/WebService-Pushover-v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: perl
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Module::Build) >= 0.38
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.14
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.14
BuildRequires: perl(Test::Pod::Coverage) >= 1.04
BuildRequires: perl(URI)
BuildRequires: perl(WebService::Simple)
BuildRequires: perl(version)
BuildRequires: rpm-macros-rpmforge
Requires: perl
Requires: perl(DateTime)
Requires: perl(DateTime::Format::Strptime)
Requires: perl(Params::Validate)
Requires: perl(Readonly)
Requires: perl(URI)
Requires: perl(WebService::Simple)
Requires: perl(version)

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
This module provides a Perl wrapper around the Pushover (http://pushover.net)
RESTful API. You'll need to register with Pushover to obtain an API token for
yourself and for your application before you'll be able to do anything with
this module.

%prep
%setup -n %{real_name}-v%{version}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Build.PL --installdirs vendor --destdir %{buildroot}
./Build


%install
%{__rm} -rf %{buildroot}
./Build pure_install
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

# fix for stupid strip issue
#%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml META.json README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/WebService/Pushover.pm
#%{perl_vendorlib}/WebService/Pushover/*
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorarch}/auto/*/*/.packlist

%changelog
* Thu Jun 21 2012 Steve Huff <shuff@vecna.org> - 0.0.5-1
- Initial package.
